//+------------------------------------------------------------------------------+
//|                                           MTF_MA_Channel.mq4                 |
//|                                      Copyright  2010, Wildhorse Enterprises |
//|                                                                              |
//+------------------------------------------------------------------------------+
#property copyright "Copyright  2010, Wildhorse Enterprises"
#property link      ""

#property indicator_chart_window
#property indicator_buffers 3
#property indicator_color1 MediumSeaGreen
#property indicator_color2 MediumSeaGreen
#property indicator_color3 MediumSeaGreen

//---- input parameters
/*************************************************************************
PERIOD_M1   1
PERIOD_M5   5
PERIOD_M15  15
PERIOD_M30  30 
PERIOD_H1   60
PERIOD_H4   240
PERIOD_D1   1440
PERIOD_W1   10080
PERIOD_MN1  43200
You must use the numeric value of the timeframe that you want to use
when you set the TimeFrame' value with the indicator inputs.
---------------------------------------
PRICE_CLOSE    0 Close price. 
PRICE_OPEN     1 Open price. 
PRICE_HIGH     2 High price. 
PRICE_LOW      3 Low price. 
PRICE_MEDIAN   4 Median price, (high+low)/2. 
PRICE_TYPICAL  5 Typical price, (high+low+close)/3. 
PRICE_WEIGHTED 6 Weighted close price, (high+low+close+close)/4. 
You must use the numeric value of the Applied Price that you want to use
when you set the 'applied_price' value with the indicator inputs.
---------------------------------------
MODE_SMA    0 Simple moving average, 
MODE_EMA    1 Exponential moving average, 
MODE_SMMA   2 Smoothed moving average, 
MODE_LWMA   3 Linear weighted moving average. 
You must use the numeric value of the MA Method that you want to use
when you set the 'ma_method' value with the indicator inputs.

**************************************************************************/
extern int TimeFrame=0;
extern int MAPeriod=3;
extern int MAShift=0;
extern int MAMethod=3;
extern int MAPrice1=2;
extern int MAPrice2=3;

double ExtMapBuffer1[];
double ExtMapBuffer2[];
double ExtMapBuffer3[];
int init() {
   switch(TimeFrame) {
      case 1 : string TimeFrameStr="M1"; break;
      case 5 : TimeFrameStr="M5"; break;
      case 15 : TimeFrameStr="M15"; break;
      case 30 : TimeFrameStr="M30"; break;
      case 60 : TimeFrameStr="H1"; break;
      case 240 : TimeFrameStr="H4"; break;
      case 1440 : TimeFrameStr="D1"; break;
      case 10080 : TimeFrameStr="W1"; break;
      case 43200 : TimeFrameStr="MN1"; break;
      default : TimeFrameStr="Period "+Period();
      } 
   string short_name="MTF_MA_Channel";
   SetIndexBuffer(0,ExtMapBuffer1);
   SetIndexStyle(0,DRAW_LINE);
   SetIndexLabel(0,TimeFrameStr+" High");
   SetIndexBuffer(1,ExtMapBuffer2);
   SetIndexStyle(1,DRAW_LINE);
   SetIndexLabel(1,TimeFrameStr+" Low");
   SetIndexBuffer(2,ExtMapBuffer3);
   SetIndexStyle(2,DRAW_LINE,STYLE_DASH);
   SetIndexLabel(2,TimeFrameStr+" Median");
   IndicatorShortName(short_name+"("+MAPeriod+") "+TimeFrameStr);  
   return(0);
}
 
int start() {
   datetime TimeArray[];
   int i,shift,limit,y=0,counted_bars=IndicatorCounted();
   ArrayCopySeries(TimeArray,MODE_TIME,Symbol(),TimeFrame); 
   limit=Bars-counted_bars+TimeFrame/Period();
   for(i=0,y=0;i<limit;i++) {
      if (Time[i]<TimeArray[y]) y++; 
      ExtMapBuffer1[i]=iMA(NULL,TimeFrame,MAPeriod,MAShift,MAMethod,MAPrice1,y);
      ExtMapBuffer2[i]=iMA(NULL,TimeFrame,MAPeriod,MAShift,MAMethod,MAPrice2,y);
      ExtMapBuffer3[i]=(ExtMapBuffer1[i]+ExtMapBuffer2[i])/2.0;
      }  
   return(0);
}

